package com.thebrokenrail.reliccraft.mixin;

import com.thebrokenrail.reliccraft.item.TimeDilaterItem;
import net.minecraft.client.world.ClientWorld;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.injection.Constant;
import org.spongepowered.asm.mixin.injection.ModifyConstant;

@Mixin(ClientWorld.class)
public abstract class MixinClientWorld extends MixinWorld {
    @ModifyConstant(constant = @Constant(longValue = 1L), method = "tickTime")
    public long tickTime(long value) {
        return value * TimeDilaterItem.getTimeDilationFactor(getTimeSpeed());
    }
}
