package com.thebrokenrail.reliccraft.mixin;

import com.thebrokenrail.reliccraft.item.TimeDilaterItem;
import net.minecraft.world.World;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.Shadow;
import org.spongepowered.asm.mixin.Unique;

@SuppressWarnings("unused")
@Mixin(World.class)
public abstract class MixinWorld implements TimeDilaterItem.DilatedWorld {
    @Shadow
    public abstract boolean isClient();

    @Unique
    private TimeDilaterItem.TimeSpeed timeSpeed = TimeDilaterItem.TimeSpeed.NORMAL;

    @Shadow
    public abstract long getTime();

    @Override
    public void setTimeSpeed(TimeDilaterItem.TimeSpeed timeSpeed) {
        this.timeSpeed = timeSpeed;
    }

    @Override
    public TimeDilaterItem.TimeSpeed getTimeSpeed() {
        return timeSpeed;
    }
}
